# Module parking_lot_core::deadlock [−] [src]

[Experimental] Deadlock detection

Enabled via the `deadlock_detection` feature flag.

## Functions

acquire_resource ⚠ | Acquire a resource identified by key in the deadlock detector Noop if deadlock_detection feature isn’t enabled.
release_resource ⚠ | Release a resource identified by key in the deadlock detector. Noop if deadlock_detection feature isn’t enabled.